Bug 624303 - SELinux is preventing /usr/lib/nspluginwrapper/npviewer.bin "unlink" access on catalog.cache.
Summary: SELinux is preventing /usr/lib/nspluginwrapper/npviewer.bin "unlink" access ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 13
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:c2d3cb56cbc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-15 21:58 UTC by Aaron Lippold
Modified: 2010-08-31 06:39 UTC (History)
2 users (show)

Fixed In Version: selinux-policy-3.7.19-51.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-31 06:39:45 UTC


Attachments (Terms of Use)

Description Aaron Lippold 2010-08-15 21:58:19 UTC
Summary:

SELinux is preventing /usr/lib/nspluginwrapper/npviewer.bin "unlink" access on
catalog.cache.

Detailed Description:

SELinux denied access requested by npviewer.bin. It is not expected that this
access is required by npviewer.bin and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                xguest_u:xguest_r:nsplugin_t:s0
Target Context                xguest_u:object_r:user_home_t:s0
Target Objects                catalog.cache [ file ]
Source                        npviewer.bin
Source Path                   /usr/lib/nspluginwrapper/npviewer.bin
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           nspluginwrapper-1.3.0-13.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-39.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.33.6-147.fc13.i686
                              #1 SMP Tue Jul 6 22:30:55 UTC 2010 i686 i686
Alert Count                   1
First Seen                    Wed 28 Jul 2010 10:30:36 PM EDT
Last Seen                     Wed 28 Jul 2010 10:30:36 PM EDT
Local ID                      28e9b470-8520-4e0f-9f00-bfaaa628f533
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1280370636.258:184): avc:  denied  { unlink } for  pid=10931 comm="npviewer.bin" name="catalog.cache" dev=tmpfs ino=2065711 scontext=xguest_u:xguest_r:nsplugin_t:s0 tcontext=xguest_u:object_r:user_home_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1280370636.258:184): arch=40000003 syscall=38 success=no exit=-13 a0=9cb18b0 a1=9cb0e68 a2=cfd6a4 a3=9cbcf18 items=0 ppid=10876 pid=10931 auid=502 uid=502 gid=502 euid=502 suid=502 fsuid=502 egid=502 sgid=502 fsgid=502 tty=(none) ses=4 comm="npviewer.bin" exe="/usr/lib/nspluginwrapper/npviewer.bin" subj=xguest_u:xguest_r:nsplugin_t:s0 key=(null)



Hash String generated from  catchall,npviewer.bin,nsplugin_t,user_home_t,file,unlink
audit2allow suggests:

#============= nsplugin_t ==============
allow nsplugin_t user_home_t:file unlink;

Comment 1 Miroslav Grepl 2010-08-16 11:17:18 UTC
Looks like ~/.xine should get context.

Comment 2 Miroslav Grepl 2010-08-16 11:28:31 UTC
Dan,
I would suggest to add

HOME_DIR/\.xine(/.*)?                  gen_context(system_u:object_r:nsplugin_home_t,s0)

Comment 3 Daniel Walsh 2010-08-16 11:41:51 UTC
Or should it be gnome config?

Comment 4 Miroslav Grepl 2010-08-16 11:53:23 UTC
Gnome config is also fine and actually better.

Comment 5 Miroslav Grepl 2010-08-24 12:45:24 UTC
Fixed in selinux-policy-3.7.19-50.fc13

Comment 6 Fedora Update System 2010-08-25 15:36:39 UTC
selinux-policy-3.7.19-51.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-51.fc13

Comment 7 Fedora Update System 2010-08-26 00:59:23 UTC
selinux-policy-3.7.19-51.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-51.fc13

Comment 8 Fedora Update System 2010-08-31 06:38:33 UTC
selinux-policy-3.7.19-51.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.